"""Initilization modules."""
import os
import numpy as np

path = os.path.dirname(os.path.abspath(__file__))
__all__ = []

for model in [
        f for f in os.listdir(path)
        if os.path.isdir('%s/%s'%(path, f)) and not f.startswith('__')
]:   
    __all__.append(model)

from .risepl import *
from .bazin import *
from .villar import *
from .sbo import *
from .csm import *
from .magnetar import *
from .salt2 import *
from .kilonova import *
from .arnett_tail import *
from .gauss import *
from .voigt import *
from .polynomial import *
from .exponential import *
from .blackbody import *
